Subject: Re: bug#57691: 29.0.50; image-tests failures

From: Stefan Kangas <[email-masked]>
Date: Mon, 12 Sep 2022 09:23:54 -0400

Eli Zaretskii <[email-masked]> writes:

>> It used to just check that no metadata was returned for these images.
>> Then Lars changed the GIF and WebP loading code to always add a `delay',
>> so I adapted the tests to that.
>
> Is it important to verify that the 'delay' stuff is in metadata?  If
> not, how about just removing that part of the test?

It's not crucial to check that part, I'm just not sure what to do
instead.

Ideally, we would test for something more substantial, of course, and I
hope to get to that eventually.  Maybe it's okay to leave it as a
wishlist item for now (i.e. the "TODO" comment in
manual/image-tests.el).

> I'd rather we skipped the test if w32-use-native-image-API is non-nil.

This should now be done on master.  Could you please test?